Gentoo Archives: gentoo-commits

From: "Marcus Hanwell (cryos)" <cryos@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-util/cmake: cmake-2.8.0_rc2.ebuild ChangeLog cmake-2.8.0_rc1.ebuild
Date: Fri, 02 Oct 2009 16:20:47
Message-Id: E1Mtks9-0002Es-3A@stork.gentoo.org
1 cryos 09/10/02 16:20:45
2
3 Modified: ChangeLog
4 Added: cmake-2.8.0_rc2.ebuild
5 Removed: cmake-2.8.0_rc1.ebuild
6 Log:
7 New release candidate, removed old one.
8 (Portage version: 2.2_rc42/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.109 dev-util/cmake/ChangeLog
12
13 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/cmake/ChangeLog?rev=1.109&view=markup
14 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/cmake/ChangeLog?rev=1.109&content-type=text/plain
15 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/cmake/ChangeLog?r1=1.108&r2=1.109
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v
20 retrieving revision 1.108
21 retrieving revision 1.109
22 diff -u -r1.108 -r1.109
23 --- ChangeLog 1 Oct 2009 18:10:14 -0000 1.108
24 +++ ChangeLog 2 Oct 2009 16:20:44 -0000 1.109
25 @@ -1,6 +1,12 @@
26 # ChangeLog for dev-util/cmake
27 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v 1.108 2009/10/01 18:10:14 arfrever Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/ChangeLog,v 1.109 2009/10/02 16:20:44 cryos Exp $
30 +
31 +*cmake-2.8.0_rc2 (02 Oct 2009)
32 +
33 + 02 Oct 2009; Marcus D. Hanwell <cryos@g.o> -cmake-2.8.0_rc1.ebuild,
34 + +cmake-2.8.0_rc2.ebuild:
35 + New release candidate, removed old one.
36
37 *cmake-2.6.4-r3 (01 Oct 2009)
38
39
40
41
42 1.1 dev-util/cmake/cmake-2.8.0_rc2.ebuild
43
44 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/cmake/cmake-2.8.0_rc2.ebuild?rev=1.1&view=markup
45 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/cmake/cmake-2.8.0_rc2.ebuild?rev=1.1&content-type=text/plain
46
47 Index: cmake-2.8.0_rc2.ebuild
48 ===================================================================
49 # Copyright 1999-2009 Gentoo Foundation
50 # Distributed under the terms of the GNU General Public License v2
51 # $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.0_rc2.ebuild,v 1.1 2009/10/02 16:20:44 cryos Exp $
52
53 EAPI="2"
54
55 inherit elisp-common toolchain-funcs eutils versionator flag-o-matic cmake-utils
56
57 MY_P="${PN}-$(replace_version_separator 3 - ${MY_PV})"
58
59 DESCRIPTION="Cross platform Make"
60 HOMEPAGE="http://www.cmake.org/"
61 SRC_URI="http://www.cmake.org/files/v$(get_version_component_range 1-2)/${MY_P}.tar.gz"
62
63 LICENSE="CMake"
64 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
65 SLOT="0"
66 IUSE="emacs qt4 vim-syntax"
67
68 DEPEND="
69 >=net-misc/curl-7.16.4
70 >=dev-libs/expat-2.0.1
71 >=dev-libs/libxml2-2.6.28
72 >=dev-libs/xmlrpc-c-1.06.27[curl]
73 emacs? ( virtual/emacs )
74 qt4? ( x11-libs/qt-gui:4 )
75 vim-syntax? (
76 || (
77 app-editors/vim
78 app-editors/gvim
79 )
80 )
81 "
82 RDEPEND="${DEPEND}"
83
84 SITEFILE="50${PN}-gentoo.el"
85 VIMFILE="${PN}.vim"
86
87 S="${WORKDIR}/${MY_P}"
88
89 CMAKE_IN_SOURCE_BUILD=1
90
91 PATCHES=(
92 "${FILESDIR}/${PN}-FindJNI.patch"
93 "${FILESDIR}/${PN}-FindPythonLibs.patch"
94 "${FILESDIR}/${PN}-FindPythonInterp.patch"
95 )
96
97 src_configure() {
98 local qt_arg par_arg
99
100 if [[ "$(gcc-major-version)" -eq "3" ]] ; then
101 append-flags "-fno-stack-protector"
102 fi
103
104 bootstrap=0
105 has_version ">=dev-util/cmake-2.6.1" || bootstrap=1
106 if [[ ${bootstrap} = 0 ]]; then
107 # Required version of CMake found, now test if it works
108 cmake --version &> /dev/null
109 if ! [[ $? = 0 ]]; then
110 bootstrap=1
111 fi
112 fi
113
114 if [[ ${bootstrap} = 1 ]]; then
115 tc-export CC CXX LD
116
117 if use qt4; then
118 qt_arg="--qt-gui"
119 else
120 qt_arg="--no-qt-gui"
121 fi
122
123 echo $MAKEOPTS | egrep -o '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' > /dev/null
124 if [ $? -eq 0 ]; then
125 par_arg=$(echo $MAKEOPTS | egrep -o '(\-j|\-\-jobs)(=?|[[:space:]]*)[[:digit:]]+' | egrep -o '[[:digit:]]+')
126 par_arg="--parallel=${par_arg}"
127 else
128 par_arg="--parallel=1"
129 fi
130
131 ./bootstrap \
132 --system-libs \
133 --prefix=/usr \
134 --docdir=/share/doc/${PF} \
135 --datadir=/share/${PN} \
136 --mandir=/share/man \
137 "$qt_arg" \
138 "$par_arg" || die "./bootstrap failed"
139 else
140 # this is way much faster so we should preffer it if some cmake is
141 # around.
142 use qt4 && qt_arg="ON" || qt_arg="OFF"
143 mycmakeargs="-DCMAKE_USE_SYSTEM_LIBRARIES=ON
144 -DCMAKE_DOC_DIR=/share/doc/${PF}
145 -DCMAKE_MAN_DIR=/share/man
146 -DCMAKE_DATA_DIR=/share/${PN}
147 -DBUILD_CursesDialog=ON
148 -DBUILD_QtDialog=${qt_arg}"
149 cmake-utils_src_configure
150 fi
151 }
152
153 src_compile() {
154 cmake-utils_src_compile
155 if use emacs; then
156 elisp-compile Docs/cmake-mode.el || die "elisp compile failed"
157 fi
158 }
159
160 src_test() {
161 einfo "Please note that test \"58 - SimpleInstall-Stage2\" might fail."
162 einfo "If any package installs with cmake, it means test failed but cmake work."
163 emake test
164 }
165
166 src_install() {
167 cmake-utils_src_install
168 if use emacs; then
169 elisp-install ${PN} Docs/cmake-mode.el Docs/cmake-mode.elc || die "elisp-install failed"
170 elisp-site-file-install "${FILESDIR}/${SITEFILE}"
171 fi
172 if use vim-syntax; then
173 insinto /usr/share/vim/vimfiles/syntax
174 doins "${S}"/Docs/cmake-syntax.vim
175
176 insinto /usr/share/vim/vimfiles/indent
177 doins "${S}"/Docs/cmake-indent.vim
178
179 insinto /usr/share/vim/vimfiles/ftdetect
180 doins "${FILESDIR}/${VIMFILE}"
181 fi
182 }
183
184 pkg_postinst() {
185 use emacs && elisp-site-regen
186 }
187
188 pkg_postrm() {
189 use emacs && elisp-site-regen
190 }